Name:		remove-old-kernels
Version:	1.0.0
Release:	%mkrel 1
Summary:	Remove old kernels safely and cleanly using urpme
Group:		System/Kernel and hardware
License:	GPLv2+
Url:		https://github.com/barjac/remove-old-kernels
Source0:	https://github.com/barjac/%{name}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	urpmi
Requires:	gettext

%description
Remove old kernels safely and cleanly using urpme.

Once installed it may be left to do it's job without user intervention.

It is run by cron.weekly to retain a minimum number of installed kernels
of each flavour. (Default is three)
This may be adjusted or disabled using simple command line options if desired.

There is also an advanced mode with some expert features.

It may also be run manually in interactive mode from the desktop menu, under
Tools -> System tools.

Running as normal user from the command line will display the current status
of installed kernels but will not allow removal.

For more information see: 'man %{name}' or 'man rok' in a terminal.

%prep
%setup -q -n %{name}-%{version}

%build
# Nothing to do here

%install
install -d -m 755 %{buildroot}/%{_sbindir}
install -m 755 %{name} %{buildroot}/%{_sbindir}/
install -m 755 %{name}-pkexec %{buildroot}/%{_sbindir}/
install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 %{name}.cfg %{buildroot}/%{_sysconfdir}/
install -d -m 755 %{buildroot}/%{_sysconfdir}/cron.weekly
install -m 755 %{name}.cron %{buildroot}/%{_sysconfdir}/cron.weekly/
install -d -m 755 %{buildroot}/%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}/%{_datadir}/applications/
install -d -m 755 %{buildroot}/%{_iconsdir}/hicolor/scalable/apps
install -m 644 %{name}.svg %{buildroot}/%{_iconsdir}/hicolor/scalable/apps/
install -d -m 755 %{buildroot}/%{_datadir}/polkit-1/actions
install -m 644 org.mageia.%{name}.policy %{buildroot}/%{_datadir}/polkit-1/actions/
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/
pushd %{buildroot}/%{_sbindir}
ln -sf %{name} rok
popd
pushd %{buildroot}/%{_mandir}/man1
ln -sf %{name}.1 rok.1
popd

# Install available translations
pushd locale
	for lang in *; do
		mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
		cp -r $lang/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
	done
popd

%find_lang %{name}

%files -f %{name}.lang
%doc README.urpmi %{name}_N.cfg.template
%{_sbindir}/%{name}
%{_sbindir}/rok
%{_sbindir}/%{name}-pkexec
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{_sysconfdir}/cron.weekly/%{name}.cron
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/org.mageia.%{name}.policy
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/rok.1*


%changelog
* Thu Feb 20 2025 barjac <barjac> 1.0.0-1.mga10
+ Revision: 2149991
- new version 1.0.0
- updated pt_BR translation, minor update to README.md

* Tue Feb 11 2025 barjac <barjac> 0.99.23-1.mga10
+ Revision: 2147417
- minor translation update - 0.99.23

* Wed Jan 29 2025 barjac <barjac> 0.99.22-1.mga10
+ Revision: 2143456
- new version 0.99.22
- Adds Russian translation thanks to algri14

* Wed Sep 25 2024 barjac <barjac> 0.99.21.10-1.mga10
+ Revision: 2101141
- Allow removal of kernels from ALL releases of Mageia, not just >= 10 to allow for upgrade from mga9

* Wed Sep 25 2024 barjac <barjac> 0.99.21.9-1.mga10
+ Revision: 2101080
- new version 0.99.21.9
- Fixes auto mode for Mageia releases greater than 9
- Adds Russian translation for desktop file only

* Fri Jun 30 2023 barjac <barjac> 0.99.21.7-1.mga9
+ Revision: 1963325
- new version fixes Mga#31969
- When run as non root should not ask to remove anything, only list and exit

* Mon Mar 20 2023 barjac <barjac> 0.99.21.6-1.mga9
+ Revision: 1949757
- rebuild .mo for previous typo fix

* Sun Mar 19 2023 barjac <barjac> 0.99.21.5-1.mga9
+ Revision: 1949716
- fix translation typo

* Fri Feb 10 2023 barjac <barjac> 0.99.21.4-1.mga9
+ Revision: 1939952
- Update Dutch translation - thanks Marja!

* Thu Feb 09 2023 barjac <barjac> 0.99.21.3-1.mga9
+ Revision: 1939787
- 0.99.21.3 added Italian translation

* Wed Feb 08 2023 barjac <barjac> 0.99.21.2-1.mga9
+ Revision: 1939542
- new version 0.99.21.2
- Fix minor French translation error, my fault

* Mon Jan 30 2023 barjac <barjac> 0.99.21.1-1.mga9
+ Revision: 1936962
- remove github screenshot, README.md and TRANSLATIONS.md from tarball to reduce package size

* Mon Jan 30 2023 barjac <barjac> 0.99.21-1.mga9
+ Revision: 1936957
- new version 0.99.21
- added Ukranian translation

* Tue Jan 24 2023 barjac <barjac> 0.99.20-1.mga9
+ Revision: 1935891
- new version 0.99.20
- drop ghost from alternative config files
- fixed -h (help) not shown if main config file was removed
- mk-pot script improved - no longer uses tmp files
- up to 4 translated strings can be on one script line

* Tue Jan 17 2023 solbu <solbu> 0.99.19-2.mga9
+ Revision: 1934104
- Fix missing install options
- Install docs the proper way

* Mon Jan 16 2023 barjac <barjac> 0.99.19-1.mga9
+ Revision: 1933902
- new version 0.99.18
- dont ghost log file
- now translated into 8 languages
+ solbu <solbu>
- Don't compress manpages manually

* Tue Jan 10 2023 barjac <barjac> 0.99.18-1.mga9
+ Revision: 1932142
- new version 0.99.18
- add valid url
- fix Q mode bug
- update config file for new installs
- update display header for less i18n work
- update man page to match

* Sun Jan 08 2023 barjac <barjac> 0.99.17-1.mga9
+ Revision: 1931478
- move sources to tarball
- add i18n with initial en_GB, en_US, fr_FR, nl_NL, de_DE, pt_BR
- add Source0
- add Require gettext
- add lang installs to spec
- remove exec bit from polkit file
- fix minor script bugs and add checks for old conf options

* Mon Nov 28 2022 barjac <barjac> 0.99.3-4.mga9
+ Revision: 1912023
- uncomment clear in script
- minor improvements to text
- ghost alternate .cfg files in spec
- use faster more compact check for non root user in script

* Thu Nov 24 2022 barjac <barjac> 0.99.3-3.mga9
+ Revision: 1910888
- fix more multi-config bugs

* Thu Nov 24 2022 barjac <barjac> 0.99.3-2.mga9
+ Revision: 1910809
- bug fix release

* Thu Nov 24 2022 barjac <barjac> 0.99.3-1.mga9
+ Revision: 1910654
- new version 0.99.3
- added colour vars to .cfg file
- add options to use alternative cfg files
- updated man files and help files
- cfg file in use shown on status line

* Tue Nov 22 2022 barjac <barjac> 0.99.2-4.mga9
+ Revision: 1910291
- keep man file uncompressed in sources
- compress man file in spec
- man file updated, missing options added

* Sat Nov 19 2022 barjac <barjac> 0.99.2-3.mga9
+ Revision: 1908986
- bug fixed in advanced display
- code clean up with better commenting
- debug code removed
- updated man page (old version accidentally included in last rel)
- extra info in config file (.rpmnew only)

* Tue Nov 15 2022 barjac <barjac> 0.99.2-2.mga9
+ Revision: 1907837
- obsolete urpme_old-kernels
- fix man page permissions
- add rok symlink to man page

* Mon Nov 14 2022 barjac <barjac> 0.99.2-1.mga9
+ Revision: 1907311
- new version 0.99.2
- add advanced mode
- add column to indicate reason a kernel is being kept in advanced mode
- restrict log to 1000 lines with -l option now viewing it all
- show more info on header bar
- extended man page and help -h|? option
- removed -d option as it was the same as -t which is retained
- removed Url from spec as it does not need one

* Tue Nov 08 2022 barjac <barjac> 0.99.1-6.mga9
+ Revision: 1904771
- change any key to spacebar
- brighter text colours for dark background
- highlight warning when auto is OFF
- show disk gain in MB not kB as its easier to read

* Sat Nov 05 2022 barjac <barjac> 0.99.1-5.mga9
+ Revision: 1903551
- remove require on grub2
- trim log to 1000 lines before each cron run
- add French name to .desktop
- fix potential colour bug
- log always displays mono and max 200 recent lines

* Thu Nov 03 2022 barjac <barjac> 0.99.1-4.mga9
+ Revision: 1901878
- fix obscure bug after using -N2 option
- add shortcut symlink rok => remove-old-kernels
- add -l option to list last 100 lines of the log
- display AUTO status in red when OFF
- minor corrections to man page
- more comments in script

* Wed Nov 02 2022 barjac <barjac> 0.99.1-3.mga9
+ Revision: 1901361
- new features added:
- set kernels to keep and auto mode ON/OFF from command line
- set  no-colour output with cli option
- show kernels to keep and auto mode on status line
- warn when dnf setting is over-riding config setting
- tidy script indentation
- update man file
- use full path to icon in desktop file or it fails to show in some DEs
- fix -p option

* Sat Oct 29 2022 barjac <barjac> 0.99.1-2.mga9
+ Revision: 1900026
- Add first draft of man page
- dont send greeting to log
- try modified svg icon

* Fri Oct 28 2022 barjac <barjac> 0.99.1-1.mga9
+ Revision: 1899939
- new version 0.99.1
- improved description, README.urpmi and comments in cfg file
- fixed perms on some files - thanks Pierre
- spec tidy

* Thu Oct 27 2022 barjac <barjac> 0.99-1.mga9
+ Revision: 1899837
- new version 0.99
- small fix to speed auto from P Jarillon - thanks
- dont instantly leave terminal when there is nothing to remove in interactive

* Thu Oct 27 2022 barjac <barjac> 0.98-4.mga9
+ Revision: 1899570
- Read rpm-qa only once not in loop
- warn and abort if running kernel is not installed
- added desktop file and icon with pkexec to log in as root and run from system menu
- edits to README.urpmi, files list and Sources

* Sat Oct 22 2022 barjac <barjac> 0.98-3.mga9
+ Revision: 1898508
- revert kernel sort order change
- only flag kernel flavour in use, not all with same version

* Sat Oct 22 2022 barjac <barjac> 0.98-2.mga9
+ Revision: 1898364
- fix kernel selection bug
- sort kernels by version not date installed
- check for dnf kernels to keep number and use that if higher than our setting
- skip kernel-flavour-latest packages (at least for now)

* Fri Oct 21 2022 barjac <barjac> 0.98-1.mga9
+ Revision: 1898204
- new package to automate kernel removal

